Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.report.gui.tree
Class ReportTreeListener

    java.lang.Object
      org.apache.jmeter.report.gui.tree.ReportTreeListener

All Implemented Interfaces:
  EventListener, KeyListener, MouseListener, MouseMotionListener, TreeSelectionListener

public class ReportTreeListener
extends Object
implements TreeSelectionListener, MouseListener, KeyListener, MouseMotionListener

Constructor Summary
`ReportTreeListener()`
`ReportTreeListener(ReportTreeModel model)` Constructor for the JMeterTreeListener object.

Method Summary
`ReportTreeNode` | `getCurrentNode()` Gets the CurrentNode attribute of the JMeterTreeListener object.
`ReportTreeNode[]` | `getDraggedNodes()`
`JTree` | `getJTree()` Gets the JTree attribute of the JMeterTreeListener object.
`ReportTreeNode[]` | `getSelectedNodes()`
`void` | `keyPressed(KeyEvent e)`
`void` | `keyReleased(KeyEvent e)`
`void` | `keyTyped(KeyEvent e)`
`void` | `mouseClicked(MouseEvent ev)`
`void` | `mouseDragged(MouseEvent e)`
`void` | `mouseEntered(MouseEvent e)`
`void` | `mouseExited(MouseEvent ev)`
`void` | `mouseMoved(MouseEvent e)`
`void` | `mousePressed(MouseEvent e)`
`void` | `mouseReleased(MouseEvent e)`
`TreePath` | `removedSelectedNode()`
`void` | `setActionHandler(ActionListener ah)` Sets the ActionHandler attribute of the JMeterTreeListener object.
`void` | `setEndWindow(Container window)` Sets the EndWindow attribute of the JMeterTreeListener object.
`void` | `setJTree(JTree tree)` Sets the JTree attribute of the JMeterTreeListener object.
`void` | `setModel(ReportTreeModel m)`
`void` | `valueChanged(TreeSelectionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportTreeListener

    public ReportTreeListener(ReportTreeModel model)

  Constructor for the JMeterTreeListener object.

### ReportTreeListener

    public ReportTreeListener()

Method Detail

### setModel

    public void setModel(ReportTreeModel m)

### setActionHandler

    public void setActionHandler(ActionListener ah)

  Sets the ActionHandler attribute of the JMeterTreeListener object.

  Parameters:
    `ah` - the new ActionHandler value

### setJTree

    public void setJTree(JTree tree)

  Sets the JTree attribute of the JMeterTreeListener object.

  Parameters:
    `tree` - the new JTree value

### setEndWindow

    public void setEndWindow(Container window)

  Sets the EndWindow attribute of the JMeterTreeListener object.

  Parameters:
    `window` - the new EndWindow value

### getJTree

    public JTree getJTree()

  Gets the JTree attribute of the JMeterTreeListener object.

  Returns:
    tree the current JTree value.

### getCurrentNode

    public ReportTreeNode getCurrentNode()

  Gets the CurrentNode attribute of the JMeterTreeListener object.

  Returns:
    the CurrentNode value

### getSelectedNodes

    public ReportTreeNode[] getSelectedNodes()

### removedSelectedNode

    public TreePath removedSelectedNode()

### valueChanged

    public void valueChanged(TreeSelectionEvent e)

  Specified by:
    `valueChanged` in interface `TreeSelectionListener`

### mouseClicked

    public void mouseClicked(MouseEvent ev)

  Specified by:
    `mouseClicked` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Specified by:
    `mouseReleased` in interface `MouseListener`

### getDraggedNodes

    public ReportTreeNode[] getDraggedNodes()

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Specified by:
    `mouseEntered` in interface `MouseListener`

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

### mouseExited

    public void mouseExited(MouseEvent ev)

  Specified by:
    `mouseExited` in interface `MouseListener`

### keyPressed

    public void keyPressed(KeyEvent e)

  Specified by:
    `keyPressed` in interface `KeyListener`

### keyReleased

    public void keyReleased(KeyEvent e)

  Specified by:
    `keyReleased` in interface `KeyListener`

### keyTyped

    public void keyTyped(KeyEvent e)

  Specified by:
    `keyTyped` in interface `KeyListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.